<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_5d9771e9f2d1880bedef614" . "7f3437484" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX3NjaGVkdWxlX2hvbGRzIFdIRVJFIG9iamVjdF9pZCA9IGludDpvYmplY3RfaWQgQU5E" . "IGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCBwYXJlbnRfaWQgPSBpbnQ6cGFyZW50X2lk"), "aggregatio" . "n" => base64_decode("YWdncmVnYXRpb" . "24="), "_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d" => base64_decode("bG1z" . "Zw=="), "_6e38cb9e043a07" . "cd69a1711a6704c" . "62a" => base64_decode("cGFy" . "ZW50" . "X2lk"), "_51b7f4bbc1d1bb48c391d" . "e491e07df27" => base64_decode("ZG9jdW1lbnRzLmVybXNvYmplY3Qubm90X2RlZmluZ" . "WQ="), "_d479b59dd022" . "e4a944c0ec1b9" . "f5f9302" => base64_decode("SU5TRVJUIElOVE8gRVJNU19zY2hlZHVsZV9ob2xkcyAob2JqZWN0X2lkLCBhZ2dyZWdhdGl" . "vbiwgcGFyZW50X2lkKSBWQUxVRVMgKGludDpvYmplY3RfaWQsIGludDphZ2dyZWdhdGlvbi" . "wgaW50OnBhcmVudF9pZCk="), "_2c2ffe27f18d2bac1d" . "27c5d98e7dff6b" => base64_decode("REVMRVRFIEZST00gRVJNU19zY2hlZHVsZV9ob2xkcyBXSEVSRSBvYmplY3RfaWQgPSBpbnQ6b2JqZWN0X2lkIEFORCBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdh" . "dGlvbiBBTkQgcGFyZW50X2lkID0gaW50OnBhcmVudF9pZA=="), "ob" . "je" . "ct" . "_i" . "d" => base64_decode("b2J" . "qZW" . "N0X" . "2lk"));
class ERMSDisposalHold extends ErrorHandler
{
    protected $object_id;
    protected $aggregation;
    protected $parent_id = 0;
    public function SetObjectById($object_id, $aggregation, $_6e38cb9e043a07cd69a1711a6704c62a)
    {
        $this->object_id = $object_id;
        $this->aggregation = $aggregation;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        return true;
    }
    public function SetObject($_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$_01ae63927cddbad58fea82ff8663c880) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_51b7f4bbc1d1bb48c391de491e07" . "df27"]));
        }
        $this->object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $this->aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $this->parent_id = $_01ae63927cddbad58fea82ff8663c880->GetParentID();
        return true;
    }
    public function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $this->Remove();
        $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d479b59dd" . "022e4a944c" . "0ec1b9f5f9" . "302"], $this->object_id, $this->aggregation, $this->parent_id);
    }
    public function Load()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (!$this->object_id || !$this->aggregation) {
            return false;
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_5d9771e9f2d1880bedef6147f3" . "437484"], $this->object_id, $this->aggregation, $this->parent_id);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["object_" . "id"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["aggregat" . "ion"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_6e38cb9e043a07cd69a1711a6" . "704c62a"]];
            return true;
        }
        return false;
    }
    
    
    
    
    public function Remove()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2c2ffe27f18d2bac1d27c5" . "d98e7dff6b"], $this->object_id, $this->aggregation, $this->parent_id);
    }
}